/* linux/arch/arm/mach-vt8500/devices.h
 *
 * Copyright (C) 2010 Alexey Charkov <alchark@gmail.com>
 *
 * This software is licensed under the terms of the GNU General Public
 * License version 2, as published by the Free Software Foundation, and
 * may be copied, distributed, and modified under those terms.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */

#ifndef __ARCH_ARM_MACH_VT8500_DEVICES_H
#define __ARCH_ARM_MACH_VT8500_DEVICES_H

#include <linux/platform_device.h>

void __init vt8500_init_irq(void);
void __init vt8500_map_io(void);
void __init vt8500_gpio_init(void);
extern struct sys_timer vt8500_timer;

extern struct platform_device vt8500_device_uart0;
extern struct platform_device vt8500_device_uart1;
extern struct platform_device vt8500_device_uart2;
extern struct platform_device vt8500_device_uart3;
#ifdef CONFIG_VTWM_VERSION_WM8505
extern struct platform_device vt8500_device_uart4;
extern struct platform_device vt8500_device_uart5;
#endif

#ifdef CONFIG_FB_VT8500
extern struct platform_device vt8500_device_lcdc;
#endif
#ifdef CONFIG_FB_WM8505
extern struct platform_device vt8500_device_wm8505_fb;
#endif

#ifdef CONFIG_USB_EHCI_HCD
extern struct platform_device vt8500_device_ehci;
#endif

#ifdef CONFIG_FB_WMT_GE_ROPS
extern struct platform_device vt8500_device_ge_rops;
#endif
#ifdef CONFIG_HAVE_PWM
extern struct platform_device vt8500_device_pwm0;
#endif
#ifdef CONFIG_BACKLIGHT_PWM
extern struct platform_device vt8500_device_pwmbl;
#endif
#ifdef CONFIG_RTC_DRV_VT8500
extern struct platform_device vt8500_device_rtc;
#endif
#endif
