/*
 *  linux/drivers/video/vt8500lcdfb.h
 *
 *  Copyright (C) 2010 Alexey Charkov <alchark@gmail.com>
 *
 * This software is licensed under the terms of the GNU General Public
 * License version 2, as published by the Free Software Foundation, and
 * may be copied, distributed, and modified under those terms.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#define VT8500_NUM_VIDEO_BUFFERS 2

struct vt8500fb_panel {
	const char name[25];
	__u32	xres;
	__u32	yres;
	__u32	bpp;
	__u32	hsyncpulse;
	__u32	hbackporch;
	__u32	hfrontporch;
	__u32	vsyncpulse;
	__u32	vbackporch;
	__u32	vfrontporch;
};

struct vt8500lcd_info {
	struct fb_info		fb;
	struct vt8500fb_panel	*panel;
	void __iomem		*regbase;
	void __iomem		*video_mem;
	unsigned long		video_mem_phys;
	size_t			video_mem_size;
	void __iomem		*palette_cpu;
	dma_addr_t		palette_phys;
	size_t			palette_size;
	wait_queue_head_t	wait;
};

static struct vt8500fb_panel known_lcd_panels[] = {
[0] =	{
		.name		= "chilin_lw070at111",
		.xres		= 800,
		.yres		= 480,
		.bpp		= 16,
		.hsyncpulse	= 1,
		.hbackporch	= 99,
		.hfrontporch	= 0,
		.vsyncpulse	= 1,
		.vbackporch	= 32,
		.vfrontporch	= 3,
	},
};

static int bpp_values[] = {
	1,
	2,
	4,
	8,
	12,
	16,
	18,
	24,
};
